//
//  ImageContent.swift
//
//
//  Created by Quentin Bandera on 19/04/2024.
//

import Foundation

struct ImageContent: Codable, Equatable {
    let images: [Image]
    let info: Info

    static func == (lhs: ImageContent, rhs: ImageContent) -> Bool {
        let lhsImagesCount = lhs.images.count
        let lhsImages = lhs.images.sorted(by: { $0.scale < $1.scale })
        let lhsInfo = lhs.info

        let rhsImagesCount = rhs.images.count
        let rhsImages = rhs.images.sorted(by: { $0.scale < $1.scale })
        let rhsInfo = rhs.info

        return lhsImagesCount == rhsImagesCount && lhsImages == rhsImages && lhsInfo == rhsInfo
    }
}

struct Image: Codable, Equatable {
    let idiom: String
    let scale: String
    let filename: String
}

struct Info: Codable, Equatable {
    let version: Int
    let author: String
}
